function yoh_orb_interp, index

nout=n_elements(index)

time_window,index(0),t0,t1,min=[-60,60]
rd_orb,t0,t1,orb
if data_chk(orb,/struct) then begin 
   retval=replicate(orb(0),nout)

endif else begin 
   box_message,'No orbit data available...'
   return,-1
endelse

itags=str2arr('LAT,LONG,HEIGHT,RADIUS')

for i=0,nout-1 do begin 
   time_window,index(i),t0,t1,min=[-60,60]
   rd_orb,t0,t1,orb
   for j=0,n_elements(itags)-1 do $
      retval(i).(tag_index(orb,itags(j)))= $
         interpol(gt_tagval(orb,itags(j)),anytim(orb),anytim(index(i)))

endfor
ints=anytim(index,/int)
retval.day=ints.day
retval.time=ints.time

stop
return, retval
end
